namespace WebApplication1.DAL
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("operacionesGas.InformeDiarioGas")]
    public partial class InformeDiarioGas
    {
        public int ID { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInforme { get; set; }

        public int Año { get; set; }

        public int NumeroSemana { get; set; }

        [StringLength(20)]
        public string NumeroOrden { get; set; }

        public int IdTeam { get; set; }

        public int IdEstado { get; set; }

        public int IdTipoOperacion { get; set; }

        public int? IdProvincia { get; set; }

        public int? IdResultadoIntervencion { get; set; }

        public int? IdMotivoFracaso { get; set; }

        public int IdOperario { get; set; }

        [StringLength(30)]
        public string CUPS { get; set; }

        public DateTime? FechaInicioTrabajoCasaCliente { get; set; }

        public DateTime? FechaFinTrabajoCasaCliente { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaFinalizacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaCreacionOrdenSGC { get; set; }

        [StringLength(150)]
        public string Municipio { get; set; }

        [StringLength(5)]
        public string Mercado { get; set; }
    }
}
