namespace WebApplication1.DAL
{
    using System;
    using System.Data.Entity;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Linq;

    public partial class Model1 : DbContext
    {
        public Model1()
            : base("name=Model1")
        {
        }

        public virtual DbSet<InformeDiarioGas> InformeDiarioGas { get; set; }
        public virtual DbSet<InformeDiarioGasDetalles> InformeDiarioGasDetalles { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<InformeDiarioGas>()
                .Property(e => e.NumeroOrden)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGas>()
                .Property(e => e.CUPS)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGas>()
                .Property(e => e.Mercado)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.NumeroOrden)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Division)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.GrupoMercado)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.MotivoNC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoNC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ClasificacionNC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ClasificacionNCDel)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IniEjecAdelantoFC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IniEjecAdelantoFCA)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IniEjecRetrasoFC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IniEjecRetrasoFCA)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.FinEjecAdelantoFC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.FinEjecAdelantoFCA)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.FinEjecRetrasoFC)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.FinEjecRetrasoFCA)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.DuracionEjecMinutos)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Tipologia)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.DuracionPrevista)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoDivisionZona)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Poliza)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ResultadoVisitaAnterior)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ResultadoPrimeraVisita)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoPostal)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoMunicipio)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoFijoCliente)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoMovilCliente)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoContacto)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoFijoFacilitado)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoMovilFacilitado)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoFijoInstalador)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.TelefonoMovilInstalador)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CorreoInstalador)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.DuracionIntervencion)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CoordenadaXOrden)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CoordenadaYOrden)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CoordenadaXFirma)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CoordenadaYFirma)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoUnidadEjecutora)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.UnidadEjecutora)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Tarifa)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Origen)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.CodigoConexion)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.AccesibilidadAbonadoGrado)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.AccesibilidadAbonadoLLave)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorPrevistoMarca)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorPrevistoTipo)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorPrevistoTipoZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorPrevistoModeloZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorPrevistoNumero)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRealMarca)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRealTipo)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRealTipoZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRealModeloZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRealNumero)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRetiradoMarca)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRetiradoTipo)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRetiradoTipoZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRetiradoModeloZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorRetiradoNumero)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorColocadoMarca)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorColocadoTipo)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorColocadoTipoZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorColocadoModeloZeus)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.ContadorColocadoNumero)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndPuestaMarchaArmario)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndColocacionContador)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndEspirometalico)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndSuplementoAdecuacion)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndKitCocina)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.IndKitCalentadorCaldera)
                .IsUnicode(false);

            modelBuilder.Entity<InformeDiarioGasDetalles>()
                .Property(e => e.Comercializadora)
                .IsUnicode(false);
        }
    }
}
