﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <ej:Grid ID="gridDataReport" runat="server" AllowPaging="true" 
        OnServerExcelExporting="gridDataReport_ServerExcelExporting">
        <DataManager URL="Default.aspx/GetData" Adaptor="WebMethodAdaptor" />
        <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport"></ToolbarSettings>
        <Columns>            
            <ej:Column Field="FechaInforme" ></ej:Column>
            <ej:Column Field="IdTeam" ></ej:Column>
        </Columns>
    </ej:Grid>

    <br />
    <ej:Grid ID="gridDataReport2" runat="server" AllowPaging="true"  AllowScrolling="true"
        OnServerExcelExporting="gridDataReport2_ServerExcelExporting" >
        <DataManager URL="Default.aspx/GetData2" Adaptor="WebMethodAdaptor" />
        <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport"></ToolbarSettings>
        <Columns>            
                        <ej:Column Field="Division" Width="100"></ej:Column>
                        <ej:Column Field="GrupoMercado" Width="100"></ej:Column>
                        <ej:Column Field="MotivoNC" Width="100"></ej:Column>
                        <ej:Column Field="CodigoNC" Width="100"></ej:Column>
                        <ej:Column Field="ClasificacionNC" Width="100"></ej:Column>
                        <ej:Column Field="ClasificacionNCDel" Width="100"></ej:Column>
                        <ej:Column Field="ClasificacionNCInformeDiario" Width="100"></ej:Column>
                        <ej:Column Field="NumeroVisitas" Width="100"></ej:Column>
                        <ej:Column Field="FinalizadaBAP" Width="100"></ej:Column>
                        <ej:Column Field="InicioEjecDiaAsig" Width="100"></ej:Column>

                        <ej:Column Field="FechaAux" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaTransicionSiguienteEstado" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaPrimeraVisita" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaRetorno" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>

                        <ej:Column Field="DiasLabPrimVisita" Width="100"></ej:Column>
                        <ej:Column Field="DiasLabPrimVisitaHastaFinalizada" Width="100"></ej:Column>
                        <ej:Column Field="DescartadaLean" Width="100"></ej:Column>
                        <ej:Column Field="IniEjecAdelantoFC" Width="100"></ej:Column>
                        <ej:Column Field="IniEjecAdelantoFCA" Width="100"></ej:Column>
                        <ej:Column Field="IniEjecRetrasoFC" Width="100"></ej:Column>
                        <ej:Column Field="IniEjecRetrasoFCA" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecAdelantoFC" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecAdelantoFCA" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecRetrasoFC" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecRetrasoFCA" Width="100"></ej:Column>
                            
                        <ej:Column Field="InicioEjecucionDentroFC" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecucionDentroFC" Width="100"></ej:Column>
                        <ej:Column Field="FinEjecDiaAsig" Width="100"></ej:Column>
                        <ej:Column Field="FinalizadasEseDia" Width="100"></ej:Column>
                        <ej:Column Field="DuracionEjecMinutos" Width="100"></ej:Column>
                        <ej:Column Field="TiempoConcertacion" Width="100"></ej:Column>
                        <ej:Column Field="TiempoAsignacion" Width="100"></ej:Column>
                        <ej:Column Field="TiempoFinalizacion" Width="100"></ej:Column>
                        <ej:Column Field="Tipologia" Width="100"></ej:Column>
                        <ej:Column Field="DuracionPrevista" Width="100"></ej:Column>
                        <ej:Column Field="NombreProyecto" Width="100"></ej:Column>
                        <ej:Column Field="CodigoDivisionZona" Width="100"></ej:Column>
                        <ej:Column Field="Poliza" Width="100"></ej:Column>
                        <ej:Column Field="Prioridad" Width="100"></ej:Column>

                        <ej:Column Field="FechaCreacionOrdenMovilidad" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaInicioConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaFinConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaInicioPrimeraConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaFinPrimeraConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaInicioAsignacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaFinAsignacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaInicioPrimeraAsignacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaPrimeraAsignacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimaAsignacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaPrimeraConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimaConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimaAusente" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimaAnomalia" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimoPendiente" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaCreacionConformidad" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>

                        <ej:Column Field="ResultadoVisitaAnterior" Width="100"></ej:Column>
                        <ej:Column Field="ResultadoPrimeraVisita" Width="100"></ej:Column>
                        <ej:Column Field="NumVisitas" Width="100"></ej:Column>
                        <ej:Column Field="HoraResultadoIntervencion" Width="100"></ej:Column>
                        <ej:Column Field="NumIntentosConcertacion" Width="100"></ej:Column>
                        <ej:Column Field="CodigoPostal" Width="100"></ej:Column>
                        <ej:Column Field="CodigoMunicipio" Width="100"></ej:Column>
                        <ej:Column Field="Poblacion" Width="100"></ej:Column>
                        <ej:Column Field="Direccion" Width="100"></ej:Column>
                        <ej:Column Field="Cliente" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoFijoCliente" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoMovilCliente" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoContacto" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoFijoFacilitado" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoMovilFacilitado" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoFijoInstalador" Width="100"></ej:Column>
                        <ej:Column Field="TelefonoMovilInstalador" Width="100"></ej:Column>
                        <ej:Column Field="Instalador" Width="100"></ej:Column>
                        <ej:Column Field="CorreoInstalador" Width="100"></ej:Column>
                        <ej:Column Field="Anomalia1" Width="100"></ej:Column>
                        <ej:Column Field="Anomalia2" Width="100"></ej:Column>
                        <ej:Column Field="Anomalia3" Width="100"></ej:Column>
                        <ej:Column Field="Aceptada" Width="100"></ej:Column>

                        <ej:Column Field="MotivoDesconcertacion" Width="100"></ej:Column>
                        <ej:Column Field="DuracionIntervencion" Width="100"></ej:Column>
                        <ej:Column Field="CoordenadaXOrden" Width="100"></ej:Column>
                        <ej:Column Field="CoordenadaYOrden" Width="100"></ej:Column>
                        <ej:Column Field="CoordenadaXFirma" Width="100"></ej:Column>
                        <ej:Column Field="CoordenadaYFirma" Width="100"></ej:Column>                        
                        <ej:Column Field="FechaCoordenadasFirma" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>

                        
                        <ej:Column Field="Delegacion" Width="100"></ej:Column>
                        <ej:Column Field="CodigoUnidadEjecutora" Width="100"></ej:Column>
                        <ej:Column Field="UnidadEjecutora" Width="100"></ej:Column>
                        <ej:Column Field="MensajeErrorIntegracion" Width="100"></ej:Column>
                        <ej:Column Field="FechaIntentoConcertacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="MotivoNoConcertacion" Width="100"></ej:Column>
                        <ej:Column Field="FechaAceptacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimaAceptacion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaUltimoRechazo" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="FechaInspeccion" DataType="Date" Format="{0:dd/MM/yyyy}"  Width="100"></ej:Column>
                        <ej:Column Field="NumeroAusentes" Width="100"></ej:Column>
                        <ej:Column Field="Tarifa" Width="100"></ej:Column>
                        <ej:Column Field="Origen" Width="100"></ej:Column>
                        <ej:Column Field="CodigoConexion" Width="100"></ej:Column>
                        <ej:Column Field="MotivoErrorPlataformaFirma" Width="100"></ej:Column>
                        <ej:Column Field="AccesibilidadAbonadoGrado" Width="100"></ej:Column>
                        <ej:Column Field="AccesibilidadAbonadoLLave" Width="100"></ej:Column>
                        
                        <ej:Column Field="ContadorPrevistoMarca" Width="100"></ej:Column>
                        <ej:Column Field="ContadorPrevistoTipo" Width="100"></ej:Column>
                        <ej:Column Field="ContadorPrevistoTipoZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorPrevistoModeloZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorPrevistoNumero" Width="100"></ej:Column>
                        <ej:Column Field="ContadorPrevistoLectura" Width="100"></ej:Column>

                        <ej:Column Field="ContadorRealMarca" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRealTipo" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRealTipoZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRealModeloZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRealNumero" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRealLectura" Width="100"></ej:Column>

                        <ej:Column Field="ContadorRetiradoMarca" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRetiradoTipo" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRetiradoTipoZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRetiradoModeloZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRetiradoNumero" Width="100"></ej:Column>
                        <ej:Column Field="ContadorRetiradoLectura" Width="100"></ej:Column>

                        <ej:Column Field="ContadorColocadoMarca" Width="100"></ej:Column>
                        <ej:Column Field="ContadorColocadoTipo" Width="100"></ej:Column>
                        <ej:Column Field="ContadorColocadoTipoZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorColocadoModeloZeus" Width="100"></ej:Column>
                        <ej:Column Field="ContadorColocadoNumero" Width="100"></ej:Column>
                        <ej:Column Field="ContadorColocadoLectura" Width="100"></ej:Column>

                        <ej:Column Field="MotivoNoConcertacionOBS" Width="100"></ej:Column>
                        <ej:Column Field="PresionContajeRegulador" Width="100"></ej:Column>
                        <ej:Column Field="PresionContajeContadorNorm" Width="100"></ej:Column>
                        <ej:Column Field="PresionContajeContadorMod" Width="100"></ej:Column>
                        <ej:Column Field="IndPuestaMarchaArmario" Width="100"></ej:Column>
                        <ej:Column Field="IndColocacionContador" Width="100"></ej:Column>
                        <ej:Column Field="IndEspirometalico" Width="100"></ej:Column>
                        <ej:Column Field="IndSuplementoAdecuacion" Width="100"></ej:Column>
                        <ej:Column Field="IndKitCocina" Width="100"></ej:Column>
                        <ej:Column Field="IndKitCalentadorCaldera" Width="100"></ej:Column>
                        <ej:Column Field="Comercializadora" Width="100"></ej:Column>
        </Columns>
    </ej:Grid>
    
</asp:Content>

