﻿using System;
using System.Linq;
using System.Web.Services;
using System.Web.UI;
using WebApplication1.DAL;
using System.Web.Script.Services;
using System.Collections;
using Syncfusion.Linq;
using Syncfusion.XlsIO;
using Syncfusion.EJ.Export;

namespace WebApplication1
{
    [System.Web.Script.Services.ScriptService]
    public partial class _Default : Page
    {

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object GetData(Syncfusion.JavaScript.DataManager value)
        {
            var db = new Model1();

            IEnumerable result = db.InformeDiarioGas.ToList<InformeDiarioGas>();

            int count = result.AsQueryable().Count();
            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();

            result = operation.Execute(result, value);
            return new { result = result, count = count };
        }

        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object GetData2(Syncfusion.JavaScript.DataManager value)
        {
            var db = new Model1();

            IEnumerable result = db.InformeDiarioGasDetalles.ToList<InformeDiarioGasDetalles>();

            int count = result.AsQueryable().Count();
            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();

            result = operation.Execute(result, value);
            return new { result = result, count = count };
        }

        protected void gridDataReport_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            var db = new Model1();

            ExcelExport exp = new ExcelExport();

            exp.Export(gridDataReport.Model, (IEnumerable)db.InformeDiarioGas.ToList<InformeDiarioGas>(), "Data.xlsx", Syncfusion.XlsIO.ExcelVersion.Excel2010, true, true, "flat-lime");
        }

        protected void gridDataReport2_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            var db = new Model1();
            var datos = db.InformeDiarioGasDetalles.ToList<InformeDiarioGasDetalles>();
            ExcelExport exp = new ExcelExport();

            exp.Export(gridDataReport2.Model, (IEnumerable)datos, "Details.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");
        }
    }
}